Bug 181755 - NM hex wep key entry allows non-hex characters
Summary: NM hex wep key entry allows non-hex characters
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-16 09:03 UTC by Bernard Johnson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-01 05:26:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bernard Johnson 2006-02-16 09:03:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.1) Gecko/20060210 Fedora/1.5.0.1-3 Firefox/1.5.0.1

Description of problem:
When attempting to a wep protected wireless network, the NM authentication dialog is presented for entry of the hex wep keys / ascii wep keys / wep passphrase.  When you select hex wep keys, the entry field for the key will accept non-hex values.

I can see this being a reasonable behavior if switching between hex/ascii/passphrase saved the value in the field, but this is not the case.



Version-Release number of selected component (if applicable):
NetworkManager-0.5.1-12.cvs20060213

How reproducible:
Always

Steps to Reproduce:
1. Attempt to connect to wep network using NM
2. Wait for authentication dialog, choose hex wep key
3. Enter non-hex values
  

Actual Results:  Non-hex values were accepted as valid input for a hex only field.

Expected Results:  Field should have been filtered to 0-F.

Additional info:

Comment 1 Christopher Aillon 2006-03-01 05:26:28 UTC
thanks.  filed upstream at http://bugzilla.gnome.org/show_bug.cgi?id=332951


Note You need to log in before you can comment on or make changes to this bug.